Bug 332701 - Pidgin should be the default application for irc:// style URLs
Pidgin should be the default application for irc:// style URLs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 11:19 EDT by Dwayne Bailey
Modified: 2008-01-07 06:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 06:47:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dwayne Bailey 2007-10-15 11:19:27 EDT
Description of problem:
If you click on a URL like this in Firefox irc://irc.freenode.net/#pootle then
by default it tries to launch xchat.  It should try to launch Pidgin which seems
to be the defacto multi-protocol engine for Fedora.

Version-Release number of selected component (if applicable):
libpurple-2.2.1-1.fc7

How reproducible:
In Firefox click on a irc:// style URL and it will offer to launch an xchat
session.  There is another fault that even if you set the
network.protocol-handler.app.irc and network.protocol-handler.external.irc in
about:config that it offers to use purple-url-handler but does not function
correctly.

Steps to Reproduce:
1. Go to a webpage with irc://irc.freenode.net/#pootle
2. Click on the link
3. Offered xchat
  
Actual results:
Firefox tries to launch xchat

Expected results:
Firefox tries to launch pidgin

Additional info:
As mentioned above I tried to alter the custom configs for Firefox this only
offers to run purple-url-handler if you specify the full path (it doesn't
actually launch anything however) if you don't specify the full path it will
offer xchat.

Another option around this could be that the preferred application chooser
should be configurable to offer xchat or pidgin to users who want to launch
these types of URLs.
Comment 1 Stu Tomlinson 2008-01-04 10:05:45 EST
This is working as requested for me, with default settings in Firefox. What does
this command report?
  gconftool-2 -g /desktop/gnome/url-handlers/irc/command
Comment 2 Dwayne Bailey 2008-01-07 06:47:59 EST
[dwayne@dhcppc32 ~]$ gconftool-2 -g /desktop/gnome/url-handlers/irc/command
purple-url-handler "%s"

I undid the changes that I need to make in Firefox to get Pidgin to launch and
it continued to work correctly and launch Pidgin.

Marking as WORKSFORME certainly for Fedora 8

Note You need to log in before you can comment on or make changes to this bug.